build+docs: switch to python3, refresh FAQ and INSTALL documents
Refs: #5095
Change-Id: Icdc0e9463b28c07783edbe392a9bc47136947e3b
diff --git a/.jenkins.d/10-build.sh b/.jenkins.d/10-build.sh
index 3879bb4..854c4ed 100755
--- a/.jenkins.d/10-build.sh
+++ b/.jenkins.d/10-build.sh
@@ -1,22 +1,15 @@
#!/usr/bin/env bash
-set -e
-
-JDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
-source "$JDIR"/util.sh
-
-set -x
+set -ex
git submodule sync
git submodule update --init
-if [[ $JOB_NAME == *"code-coverage" ]]; then
- COVERAGE="--with-coverage"
-elif [[ -z $DISABLE_ASAN ]]; then
+if [[ -z $DISABLE_ASAN ]]; then
ASAN="--with-sanitizer=address"
fi
-
-# Cleanup
-sudo_preserve_env PATH -- ./waf --color=yes distclean
+if [[ $JOB_NAME == *"code-coverage" ]]; then
+ COVERAGE="--with-coverage"
+fi
if [[ $JOB_NAME != *"code-coverage" && $JOB_NAME != *"limited-build" ]]; then
# Build in release mode with tests and without precompiled headers
@@ -24,14 +17,14 @@
./waf --color=yes build -j$WAF_JOBS
# Cleanup
- sudo_preserve_env PATH -- ./waf --color=yes distclean
+ ./waf --color=yes distclean
# Build in release mode without tests, but with "other tests"
./waf --color=yes configure --with-other-tests
./waf --color=yes build -j$WAF_JOBS
# Cleanup
- sudo_preserve_env PATH -- ./waf --color=yes distclean
+ ./waf --color=yes distclean
fi
# Build in debug mode with tests